using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenterApi.BLL
{
    /// <summary>
	/// T_Cus_CustomerBaseNew
	/// </summary>
	public partial class T_Cus_CustomerBaseNew
    {
        private readonly CallCenterApi.DAL.T_Cus_CustomerBaseNew dal = new CallCenterApi.DAL.T_Cus_CustomerBaseNew();
        public T_Cus_CustomerBaseNew()
        { }
        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_CustomerId)
        {
            return dal.Exists(F_CustomerId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(CallCenterApi.Model.T_Cus_CustomerBaseNew model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_Cus_CustomerBaseNew model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_CustomerId)
        {

            return dal.Delete(F_CustomerId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_CustomerIdlist)
        {
            return dal.DeleteList(F_CustomerIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Cus_CustomerBaseNew GetModel(int F_CustomerId)
        {

            return dal.GetModel(F_CustomerId);
        }
        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Cus_CustomerBaseNew GetModel(string F_CustomerID)
        {

            return dal.GetModel(F_CustomerID);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        ///工单导出
        /// </summary>
        /// <param name="strWhere"></param>
        /// <returns></returns>
        public DataSet GetExpt(string strWhere)
        {
            return dal.GetExpt(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Cus_CustomerBaseNew> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Cus_CustomerBaseNew> DataTableToList(DataTable dt)
        {
            List<CallCenterApi.Model.T_Cus_CustomerBaseNew> modelList = new List<CallCenterApi.Model.T_Cus_CustomerBaseNew>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                CallCenterApi.Model.T_Cus_CustomerBaseNew model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }

        #endregion  BasicMethod
        #region  ExtensionMethod
        public CallCenterApi.Model.T_Cus_CustomerBaseNew GetModelByOpenid(string openid)
        {
            return dal.GetModelByOpenid(openid);
        }
        public bool UpdatePWD(string ids, string pwd)
        {
            return dal.UpdatePWD(ids, pwd);
        }
        #endregion  ExtensionMethod
    }
}
